<?php
/*
-----------------------------------
|                                 |
| code by HOÀNG MẠNH THÁI         |
| Không xóa để tôn trọng tác giả  |
|                                 |
----------------------------------|    */
session_start();
include("$_SERVER[DOCUMENT_ROOT]/include/config.php");
$txttitle = $_POST['txttitle'];
if($users['chucvu'] >= 9){
$txtndung = nl2br($_POST['txtndung']);
}else{
    $txtndung = nl2br(strip_tags($_POST['txtndung']));
}
$time = time();
if(!isset($_SESSION['username'])){
    // header("location:/login");
}else{
if (!$txttitle && !$txtndung){
?>

<script>
        Swal({
            title: 'Lỗi',
            text: 'Bạn vui lòng nhập đủ tiêu đề và nội dung.!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  

<?php


}  else if(mb_strlen($txttitle, 'UTF-8') < 10 || mb_strlen($txttitle, 'UTF-8') > 70 ){?>
<script>
        Swal({
            title: 'Lỗi tiêu đề',
            text: 'Tiêu đề bài viết không được vượt quá 70 ký tự !',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?} else if(mb_strlen($txtndung, 'UTF-8') < 10 || mb_strlen($txtndung, 'UTF-8') > 50000 ){?>
<script>
        Swal({
            title: 'Lỗi nội dung',
            text: 'số ký tự phải lớn hơn 10 và tối đa là 100 .!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?} else if(preg_match('/([^\pL\.\ ]+)/u',$txttitle)){?>
        <script>
                Swal({
                    title: 'Lỗi',
                    text: 'Tiêu đề không được chứa kí tự đặc biệt',
                    type: 'error',
                    confirmButtonText: 'Đóng'
                })
            
        </script> 
<?} else {
    @mysql_query("UPDATE `player` set `baiviet` = `baiviet` +1 WHERE `username` = '".$users['username']."'");
@mysql_query("INSERT INTO baiviet(`tieude`, `noidung`,  `time`,`vip`,`user_id`) VALUES (N'".$txttitle."',N'".$txtndung."','".$time."','1','".$users['id']."');");
?>
<meta http-equiv="refresh" content="1;url= /forum">
<script>
        Swal({
            title: 'thành công!',
            text: 'thành công!',
            type: 'success',
            confirmButtonText: 'Xong'
        })
    
</script>  


<?


}
}
?>